performance
Score distribution for one quiz activity.
Score distribution for one quiz activity.
OpenAPI specificationPOST
/api/v1/performance/quizAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/performance/quiz' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"activityId": "<activityId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"activityId": {
"type": "string"
}
},
"required": [
"activityId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"activity": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"topicId": {
"type": "string"
},
"topicTitle": {
"type": "string"
},
"unitId": {
"type": "string"
},
"unitTitle": {
"type": "string"
},
"courseId": {
"type": "string"
}
},
"required": [
"id",
"topicId",
"topicTitle",
"unitId",
"unitTitle",
"courseId"
]
},
"attempts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"user": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"email": {
"type": "string"
}
},
"required": [
"id",
"name",
"email"
]
},
"score": {
"type": "number",
"nullable": true
},
"totalQuestions": {
"type": "number",
"nullable": true
},
"percent": {
"type": "number",
"nullable": true
},
"elapsedSeconds": {
"type": "number"
},
"isCompleted": {
"type": "boolean",
"enum": [
false,
true
]
},
"updatedAt": {
"type": "string"
}
},
"required": [
"user",
"score",
"totalQuestions",
"percent",
"elapsedSeconds",
"isCompleted",
"updatedAt"
]
}
},
"completedAttempts": {
"type": "number"
},
"avgScore": {
"type": "number",
"nullable": true
},
"avgPercent": {
"type": "number",
"nullable": true
},
"distribution": {
"type": "object",
"properties": {
"0-24": {
"type": "number"
},
"25-49": {
"type": "number"
},
"50-74": {
"type": "number"
},
"75-100": {
"type": "number"
}
},
"required": [
"0-24",
"25-49",
"50-74",
"75-100"
]
}
},
"required": [
"activity",
"attempts",
"completedAttempts",
"avgScore",
"avgPercent",
"distribution"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}